org.ajax4jsf.javascript

## Class JSReference

- java.lang.Object
- - org.ajax4jsf.javascript.ScriptStringBase
  - - org.ajax4jsf.javascript.JSReference

- All Implemented Interfaces:
    ScriptString

      public class JSReference
      extends ScriptStringBase

  Create reference to JavaScript variable with optional index.
  Version:
    $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:58:30 $
  Author:
    asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JSReference` | `EVENT`
    `static JSReference` | `FALSE`
    `static JSReference` | `NULL`
    `static JSReference` | `THIS`
    `static JSReference` | `TRUE`

    - ### Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSReference(String name)`
    `JSReference(String name, Object index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendScript(Appendable target)` Append JavaScript code to @link `Appendable`

    - ### Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVENT

          public static final JSReference EVENT

    - #### THIS

          public static final JSReference THIS

    - #### TRUE

          public static final JSReference TRUE

    - #### NULL

          public static final JSReference NULL

    - #### FALSE

          public static final JSReference FALSE

  - ### Constructor Detail

    - #### JSReference

          public JSReference(String name)

      Parameters:
        `name` -

    - #### JSReference

          public JSReference(String name,
                             Object index)

      Parameters:
        `name` -
        `index` -

  - ### Method Detail

    - #### appendScript

          public void appendScript(Appendable target)
                            throws IOException

      Description copied from interface: `ScriptString`
      Append JavaScript code to @link `Appendable`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.